Package relaxngcc.parser

# Class TextSyntaxInternalizer

java.lang.Object
org.xml.sax.helpers.XMLFilterImpl
relaxngcc.parser.TextSyntaxInternalizer

All Implemented Interfaces:
  `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`, `XMLFilter`, `XMLReader`

public class TextSyntaxInternalizer extends XMLFilterImpl
Handles the text syntax of RelaxNGCC and "internalizes" them into normal syntax.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Constructor Summary

Constructors
Constructor
Description
`TextSyntaxInternalizer(XMLReader parent)`

## Method Summary

Modifier and Type
Method
Description
`void`
`characters(char[] b, int start, int len)`
`void`
`endElement(String uri, String local, String qname)`
`void`
`ignorableWhitespace(char[] b, int start, int len)`
`void`
`startElement(String uri, String local, String qname, Attributes atts)`

### Methods inherited from class org.xml.sax.helpers.XMLFilterImpl

`endDocument, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, notationDecl, parse, parse, processingInstruction, resolveEntity, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setParent, setProperty, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.xml.sax.ContentHandler

`declaration`

## Constructor Details

### TextSyntaxInternalizer

public TextSyntaxInternalizer(XMLReader parent)

## Method Details

### characters

public void characters(char[] b, int start, int len)

Specified by:
  `characters` in interface `ContentHandler`
Overrides:
  `characters` in class `XMLFilterImpl`

### ignorableWhitespace

public void ignorableWhitespace(char[] b, int start, int len)

Specified by:
  `ignorableWhitespace` in interface `ContentHandler`
Overrides:
  `ignorableWhitespace` in class `XMLFilterImpl`

### startElement

public void startElement(String uri, String local, String qname, Attributes atts) throws SAXException

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `XMLFilterImpl`
Throws:
  `SAXException`

### endElement

public void endElement(String uri, String local, String qname) throws SAXException

Specified by:
  `endElement` in interface `ContentHandler`
Overrides:
  `endElement` in class `XMLFilterImpl`
Throws:
  `SAXException`